---
title: AddressErrors.city
slug: Web/API/AddressErrors/city
tags:
  - API
  - Address
  - AddressErrors
  - Error
  - Payment Request
  - Payment Request API
  - Property
  - Read-only
  - Reference
  - city
  - payment
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes a <code><strong>city</strong></code> property when validation of the address fails for the value given for the address's {{domxref("PaymentAddress.city", "city")}} property. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>cityError</em> = <em>AddressErrors</em>.city;</pre>

<h3 id="Value">Value</h3>

<p>If the value specified in the {{domxref("PaymentAddress")}} object's {{domxref("PaymentAddress.city", "city")}} property could not be validated, this property contains a {{domxref("DOMString")}} offering a human-readable explanation of the validation error and offers suggestions for correcting it.</p>

<p>If the city value was validated successfully, this property is not included in the <code>AddressErrors</code> object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-city','AddressErrors.city')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.city")}}</p>
</div>
